Bug 1421441 - [RFE] - API to associate a single host to a computer resource
Summary: [RFE] - API to associate a single host to a computer resource
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: API
Version: 6.2.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Daniel Lobato Garcia
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-12 11:17 UTC by vivpatil
Modified: 2020-12-14 08:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 19:08:45 UTC
Target Upstream Version:


Attachments (Terms of Use)
Import button (57.30 KB, image/png)
2017-08-30 10:15 UTC, Daniel Lobato Garcia
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18064 0 Normal Closed Ability to import and provision existing VMs 2020-02-17 16:26:24 UTC

Comment 3 Daniel Lobato Garcia 2017-03-07 10:00:06 UTC
Connecting redmine issue http://projects.theforeman.org/issues/18064 from this bug

Comment 4 pm-sat@redhat.com 2017-03-22 16:01:48 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18064 has been resolved.

Comment 5 Daniel Lobato Garcia 2017-08-30 10:15:24 UTC
Created attachment 1319980 [details]
Import button

Comment 6 Daniel Lobato Garcia 2017-08-30 10:18:58 UTC
Failed verification.

Tested on Satellite 6.3 - Snap 13.

As you can see on the Screenshot, the feature is available through the UI - on 6.3 one can import just single hosts. But there is no API endpoint to do this.

There's a workaround though. If you send a POST call to /hosts, containing the UUID of the VM ou want to import, and the Compute Resource ID, it will try to import it. This would work but it's not the best UX.

Comment 7 Nagoor Shaik 2017-09-05 09:33:47 UTC
1. Proposed title of this feature request  
      RFE - API associate a single host to a computer resource
      
2. What is the nature and description of the request? 

       Customer want's an api to associate a single host something similar to below.
       ---
       curl -H "Accept:application/json,version=2" -H "Content-Type:application/json" -X PUT -u admin:password -k https://<satellite.fqdn>/api/hosts/:id/associate
       ---

       There is an api to disassociate a single host. 
       ---
       curl -H "Accept:application/json,version=2" -H "Content-Type:application/json" -X PUT -u admin:password -k https://<satellite.fqdn>/api/hosts/:id/disassociate 
       ---

       There is also an api that could be used to associate all the registered hosts. But this also associates all the host that were previously disassociated. This is not suitable because we have to again manually disassocate the hosts.
       ---
       curl -H "Accept:application/json,version=2" -H "Content-Type:application/json" -X PUT -u admin:password -k https://<satellite.fqdn>/api/compute_resources/<compute_resource_id>/associate

Comment 9 Bryan Kearney 2018-09-04 18:57:44 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 10 Bryan Kearney 2018-09-04 19:08:45 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.